import React from 'react';
import 'rsuite/lib/styles/index.less';
import { Container } from 'rsuite';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';

import Dashboard from './Dashboard';
import Login from './Login';
import Register from './Register';
import NavBar from '../components/Navbar/NavBar';

const containerStyle = {
	maxWidth: 700,
	margin: '0 auto',
	borderRadius: 7,
	background: 'white',
	marginTop: '10vh',
	marginBottom: '10vh',
};

export default function App() {
	return (
		<Router>
			<Container style={containerStyle}>
				<NavBar />
				<Switch>
					<Route path='/' exact>
						<Dashboard />
					</Route>
					<Route path='/login'>
						<Login />
					</Route>
					<Route path='/register'>
						<Register />
					</Route>
				</Switch>
			</Container>
		</Router>
	);
}
