import React from 'react';

import {
	FlexboxGrid,
	Panel,
	Form,
	FormGroup,
	FormControl,
	HelpBlock,
	Button,
} from 'rsuite';

import TzDropdown from './../components/General/TzDropdown';

const boxStyle = {
	margin: '50px 10px',
};

export default function Register() {
	return (
		<FlexboxGrid justify='center'>
			<FlexboxGrid.Item>
				<Panel header={<h3>Register</h3>} bordered style={boxStyle}>
					<Form horizontal>
						<FormGroup>
							<FormControl
								name='username'
								type='plaintext'
								placeholder='username'
							/>
						</FormGroup>
						<FormGroup>
							<FormControl
								name='email'
								type='email'
								placeholder='email'
							/>
						</FormGroup>
						<FormGroup><TzDropdown /></FormGroup>
						<FormGroup>
							<FormControl
								name='password'
								type='password'
								placeholder='password'
							/>
							<HelpBlock tooltip>
								Minimum password length is 8 characters
							</HelpBlock>
						</FormGroup>
						<FormGroup>
							<Button appearance='primary' block>
								Register
							</Button>
						</FormGroup>
					</Form>
				</Panel>
			</FlexboxGrid.Item>
		</FlexboxGrid>
	);
}
